2018-04-21 12:43 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002540NetSurfRISC OS-specificpublic2018-01-23 21:37
ReporterHarriet Bazley 
Assigned ToJohn-Mark Bell 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformARMiniOSRISC OSOS Version5.22
Product Version3.7 
Target Version3.8Fixed in Version3.8 
Summary0002540: Page content not visible
DescriptionThe content of this page http://thedrawingduke.tumblr.com/ is completely hidden in Netsurf - I can see the text when I view the page source, e.g.

http://bonkalore.tumblr.com/post/160198358260/buy-bonkalore-a-coffee-ko-ficombonkalore:

<blockquote><h2>Look what I just got! 8′)</h2>I’ve considered having a patreon for a while but honestly don’t even know what I’d do for rewards for people

But all I can see when the page is rendered are navigation labels and a scrolling iframe with the author's credits in it.
Steps To ReproduceVisit URL.
Additional InformationI tried saving the whole page as an application and deleting the CSS files to see if some property was setting the text as invisible, but that didn't have any effect.

Switching to the mobile version of the site shows the basic text. http://thedrawingduke.tumblr.com/mobile/
 
TagsNo tags attached.
Fixed in CI build #4302
Reported in CI build #4086
URL of problem pagehttp://thedrawingduke.tumblr.com/
Attached Files

-Relationships
+Relationships

-Notes
Harriet Bazley

~0001563

Harriet Bazley (reporter)

The line that seems to be hiding the page content is "overflow: auto;" in the .paper style definition. If I delete that single line from the page source then the content appears (though the layout is evidently still somewhat messed-up; I don't know what it's supposed to look like, but I assume the scrolly frame thingy is supposed to be on the left, and probably not scrolly...)

.paper {
    font-size:1em;
  position: fixed;
  height: 100vh;
  width: 600px;
  overflow:auto;
  overflow-x:hidden;
  background: rgba(255,255,255,1);
 margin:10px auto;
box-shadow:0px 0px 0px 1px rgba(0,0,0, .092);
}
John-Mark Bell

~0001715

John-Mark Bell (administrator)

This appears to be working now.
Harriet Bazley

~0001732

Harriet Bazley (reporter)

It's not fixed here - if I visit http://thedrawingduke.tumblr.com/ I'm still seeing exactly the same effect as that shown in the screenshot I attached earlier.
John-Mark Bell

~0001733

John-Mark Bell (administrator)

Then this is RISC OS-specific -- it's fine on GTK.
Harriet Bazley

~0001734

Harriet Bazley (reporter)

Should I attempt to clone the report under RISC OS-specific category rather than Layout?
John-Mark Bell

~0001736

John-Mark Bell (administrator)

No need; I've changed the field value. Thanks.
Harriet Bazley

~0001739

Harriet Bazley (reporter)

Oops, my fault - I forgot I hadn't downloaded the new version of NetSurf before checking the link!

There are still problems with the layout (the main frame is partially covering the navigation labels to its right), but the page content is now visible under RISC OS as well when using dev version 4315. Sorry for false alarm.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-12 02:50 Harriet Bazley New Issue
2017-05-12 02:50 Harriet Bazley File Added: screenshot.jpg
2017-05-23 03:35 Harriet Bazley Note Added: 0001563
2017-06-09 20:13 Vincent Sanders Status new => acknowledged
2017-06-09 20:13 Vincent Sanders Description Updated View Revisions
2017-06-09 20:13 Vincent Sanders Additional Information Updated View Revisions
2018-01-21 14:40 John-Mark Bell Status acknowledged => resolved
2018-01-21 14:40 John-Mark Bell Resolution open => fixed
2018-01-21 14:40 John-Mark Bell Product Version => 3.7
2018-01-21 14:40 John-Mark Bell Fixed in Version => 3.8
2018-01-21 14:40 John-Mark Bell Target Version => 3.8
2018-01-21 14:40 John-Mark Bell Fixed in CI build # => 4302
2018-01-21 14:40 John-Mark Bell Note Added: 0001715
2018-01-22 21:10 Harriet Bazley Status resolved => feedback
2018-01-22 21:10 Harriet Bazley Resolution fixed => reopened
2018-01-22 21:10 Harriet Bazley Note Added: 0001732
2018-01-22 21:33 John-Mark Bell Note Added: 0001733
2018-01-22 21:54 Harriet Bazley Note Added: 0001734
2018-01-22 21:54 Harriet Bazley Status feedback => new
2018-01-22 23:11 John-Mark Bell Category Layout => RISC OS-specific
2018-01-22 23:11 John-Mark Bell Note Added: 0001736
2018-01-22 23:18 John-Mark Bell Status new => acknowledged
2018-01-23 21:30 Harriet Bazley File Added: screen.jpg
2018-01-23 21:30 Harriet Bazley Note Added: 0001739
2018-01-23 21:37 Vincent Sanders Assigned To => John-Mark Bell
2018-01-23 21:37 Vincent Sanders Status acknowledged => resolved
2018-01-23 21:37 Vincent Sanders Resolution reopened => fixed
+Issue History